Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.jpa
Class RequestInfoLogDeleteBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
              org.jbpm.executor.impl.jpa.RequestInfoLogDeleteBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder

    public class RequestInfoLogDeleteBuilderImpl

extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
implements org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder

Field Summary
`static String` | `REQUES_INFO_LOG_DELETE`

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`RequestInfoLogDeleteBuilderImpl(CommandExecutor cmdExecutor)`
`RequestInfoLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

Method Summary
`org.kie.internal.query.ParametrizedUpdate` | `build()`
`org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `date(Date... date)`
`org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeStart(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `deploymentId(String... deploymentId)`
`org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `status(org.kie.internal.executor.api.STATUS... status)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`checkIfNotNull, getJpaAuditLogService, processId, processInstanceId`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder
`processId, processInstanceId`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Field Detail

### REQUES_INFO_LOG_DELETE

    public static String REQUES_INFO_LOG_DELETE

Constructor Detail

### RequestInfoLogDeleteBuilderImpl

    public RequestInfoLogDeleteBuilderImpl(CommandExecutor cmdExecutor)

### RequestInfoLogDeleteBuilderImpl

    public RequestInfoLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

Method Detail

### date

    public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder date(Date... date)

  Specified by:
    `date` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
  Overrides:
    `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

### dateRangeStart

    public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeStart(Date rangeStart)

  Specified by:
    `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
  Overrides:
    `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

### dateRangeEnd

    public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeEnd(Date rangeStart)

  Specified by:
    `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
  Overrides:
    `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

### deploymentId

    public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder deploymentId(String... deploymentId)

  Specified by:
    `deploymentId` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

### build

    public org.kie.internal.query.ParametrizedUpdate build()

  Specified by:
    `build` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

### status

    public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder status(org.kie.internal.executor.api.STATUS... status)

  Specified by:
    `status` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.